
QGIS Application - Bug report #597

lat/lon maps should wrap around 180 longitude

2007-02-15 07:14 PM - hamish_nospam-yahoo-com -

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 10656

Description

Hi,

lat/lon maps which cross 180 longitude don't wrap.

This should at least happen when only one of -180,+180 is in view and nothing needs to be duplicated.

thanks,

Hamish

Related issues:

Related to QGIS Application - Bug report # 19746: Disappearing -180 / 180 lon... Open 2018-09-01

History

#1 - 2007-02-15 07:22 PM - hamish_nospam-yahoo-com -

In that screenshot, the Chatham Islands on the far left should be within the grid (~176W). The grid runs from 160 to 185 (=175W).

Hamish

#2 - 2007-02-15 07:24 PM - hamish_nospam-yahoo-com -

test data: shapefile of New Zealand and offshore islands; extracted from the NOAA GSHHS dataset. (520k)

http://bambi.otago.ac.nz/hamish/grass/qgis/gshhs_nz_LL.tgz

Hamish

#3 - 2007-02-15 08:22 PM - Gavin Macaulay -

Hamish,

The 180 degree line is a problem for most gis packages, qgis included.

A work-around that I use a lot is to transform the longitude data to 0->360. If your data is in postgis, recent versions include a shift_longitude (or something

like that) that can be used to move the discontinuity to somewhere else. I also think that the proj4 library now supports a shift longitude feature that allows

one to define a custom projection that does the shift too.
http://bambi.otago.ac.nz/hamish/grass/qgis/gshhs_nz_LL.tgz


Another option that I use sometimes is to get qgis to convert the lat/long data to a  projected coordinate system that doesn't have a discontinuity in the

wrong place (e.g. NZGD2000 for your example dataset).

Gavin

#4 - 2009-07-23 07:46 AM - Giovanni Manghi

Replying to [comment:3 g_j_m]:

A work-around that I use a lot is to transform the longitude data to 0->360. If your data is in postgis, recent versions include a shift_longitude (or

something like that) that can be used to move the discontinuity to somewhere else.

Hi,

I'm testing this workaround and is fine for points, but I'm struggling with other geometries. Can you please post a working example for polygons? Thanks.

#5 - 2009-07-23 07:56 AM - Giovanni Manghi

Forget it, it worked also for polygons.

As for other cases, if there is no easy solution for problems such this one, and the there is a workaround, I suggest to wrote a note for the

documentation/manual.

I can do that, agree?

#6 - 2009-08-03 11:46 PM - Otto Dassau

- Status changed from Open to Closed

- Resolution set to fixed

We added a [[PostGIS]] subsubsection to the QGIS manual for 1.2 release. Thanks for testting and to Giovanni for the manual patch.

Otto

#7 - 2011-09-01 07:01 AM - Markus Neteler

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Resolution deleted (fixed)

- Operating System deleted (Debian)

- Must fix changed from No to yes

- Target version changed from Version 1.2.0 to Version 1.7.1

- Priority changed from Low to High

QGIS 1.7.0 still suffers from the absence of global wrap around.

The "trick" to move the world to the 0...360° space is not compliant with other GIS nor our other GIS data.

The global wrap around code is tricky, see http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/plot.c and 

http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/wind_overlap.c for the implementation in GRASS, perhaps useful for

inspiration.
http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/plot.c
#8 - 2011-09-02 06:56 AM - Giovanni Manghi

Hi Markus, do you want this ticket to be reopened?

Markus Neteler - wrote:

QGIS 1.7.0 still suffers from the absence of global wrap around.

The "trick" to move the world to the 0...360° space is not compliant with other GIS nor our other GIS data.

The global wrap around code is tricky, see http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/plot.c and 

http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/wind_overlap.c for the implementation in GRASS, perhaps useful for

inspiration.

#9 - 2018-09-01 11:28 AM - Andreas Neumann

- Related to Bug report #19746: Disappearing -180 / 180 longitude grid lines on certain zoom levels added

Files

ll_nz_0.7.4.png 35.4 KB 2007-02-15 hamish_nospam-yahoo-com -
